;*******************************************************
;
; MODE	5_2_2018	12:35	T45
;
;
; ARM_DisARM
;
;*******************************************************
.equ ee_adres_DS_code	=15	;     . (0..9).
.equ num_string		=14	;   EEPROM   
.equ arm_dissarm	=12	;   EEPROM  /  .
.equ Rele_time		=11	;   EEPROM   .
.equ EE_Wait_Line1	=10	; EEPROM    /  1.
;
;*******************************************************
;
.dseg
;
Flag_0_OpenDoor:	.byte	1
;
;******************************************************* 
.cseg
;
ARM_DisARM:
;
	ldi	ZL,arm_dissarm		;   EEPROM   
	rcall	EEprom_read		;  arm/disarm
;
	sbrs	temp_1,0
 	RJMP	Dis_Armed		;    -   
;----------------------------------------
; NEW 5_2_2019	21:50
;-----------
Line1_RD:
;
	LDS	temp,(GLeds_Viev2)	;
	CPI	temp,0B0000.0001
	BRNE	No_Ready
;-
	LDS	temp,(GLeds_Viev3)	;
	CPI	temp,0B0000.0001
	BRNE	No_Ready
;--------
	LDS	temp,(YLeds_Viev1)
	CPI	temp,0B0000.0000
	BRNE	No_Ready
;-
	LDS	temp,(YLeds_Viev2)
	CPI	temp,0B0000.0000
	BRNE	No_Ready
;-
	LDS	temp,(YLeds_Viev3)
	CPI	temp,0B0000.0000
	BRNE	No_Ready
;----------------------------------------
; READY OK				;
;
	LDI	ZL,arm_dissarm		;
	LDI	temp_1,0
	RCALL	EEprom_write		;  arm
;
	RCALL	biper
;
	LDI	temp,0B0000.0001	; 0 - R_LED off; 1 - R_LED on; 7 - R_LED BLINK (LINE1, LINE2, LINE3).
	STS	(Mode_Led_3_Blink),temp	; R_LED.
;----------------------------------------
; new 5_2_2019	12:40
;
	LDI	ZL,EE_Wait_Line1
	RCALL	EEprom_read
	STS	(Wait_Time_Line1),temp_1;    /  1.
;--
	LDI	temp_1,0B0000.0001
	STS	(Flag_0_OpenDoor),temp_1
;--
	LDS	temp_1,(Flag_012_Rele)
	CBR	temp_1,0B0000.0001
	STS	(Flag_012_Rele),temp_1
;
	LDI	temp_1,0
	STS	(WaitIN_Time_Line1),temp_1
;
	STS	(Flag_Alarm_Line123),temp_1; 1bit - Line1, 2bit - Line2, 3bit - Line3.
;-
;----------------------------------------
	RCALL	Store_ALL_Alarm
;----------------------------------------
	RET
;----------------------------------------
;  /  
;     .
;--------
No_Ready:
;
	RCALL	biper
;-
	RCALL	pause
;-
	RCALL	biper
;-
	RCALL	pause
;-
	RCALL	biper
;
	RET
;----------------------------------------
Dis_Armed:
;
	LDI	temp,0B0000.0000	; 0 - R_LED off; 1 - R_LED on; 7 - R_LED BLINK (LINE1, LINE2, LINE3).
	STS	(Mode_Led_3_Blink),temp	; R_LED.
;-
	STS	(RLeds_Viev1),temp 
	STS	(RLeds_Viev2),temp 
	STS	(RLeds_Viev3),temp 
;----------------------------------------
	RCALL	Store_ALL_Alarm
;----------------------------------------
	LDI	ZL,arm_dissarm		; 
	LDI	temp_1,255
;---
	RCALL	EEprom_write		;   disarm
;---
	RCALL	biper
;-
	RCALL	pause
;-
	RCALL	biper
;---
	CLR	temp_1
	STS	(Time_Alarm),temp_1	;     .
	STS	(Wait_Time_Line1),temp_1;    /  1.
;
	STS	(WaitIN_Time_Line1),temp_1
;---
	RET
;---------------------------------------
;
Store_ALL_Alarm:
;
	LDS	temp_1,(RLeds_Viev1)
	LDI	ZL,EE_RLeds_Viev1
	RCALL	EEprom_write		; 
;---
	LDS	temp_1,(RLeds_Viev2)
	LDI	ZL,EE_RLeds_Viev2
	RCALL	EEprom_write		; 
;---
	LDS	temp_1,(RLeds_Viev3)
	LDI	ZL,EE_RLeds_Viev3
	RCALL	EEprom_write		; 
;----------------------------------------
	LDS	temp_1,(Mode_Led_3_Blink)
	LDI	ZL,EE_Mode_Led_3_Blink	;
	RCALL	EEprom_write		;  alarm.
;
	RET
;////////////////////////////////////////////////////////////