;*******************************************************
;
; MODE	9_2_2018	13:30	T45
;
;
; 
;
;*******************************************************
;.equ ee_adres_DS_code	=15	;     . (0..9).
;.equ num_string	=14	; EEPROM   
;.equ arm_dissarm	=12	; EEPROM  /  .
;.equ Rele_time		=11	; EEPROM   .
;.equ EE_Wait_Line1	=10	; EEPROM    /  1.
;--
.EQU	EE_RLeds_Viev1		=9
.EQU	EE_RLeds_Viev2		=8
.EQU	EE_RLeds_Viev3		=7
;
.EQU	EE_Mode_Led_3_Blink	=6
;-
.EQU	EE_Mode_Rele_T_M	=5
;****************************************
;
;.dseg
;
;Flag_012_Rele:		.byte	1	; 0bit=LINE1; 1bit=LINE2; 2bit=LINE3.
;Time_Alarm:		.byte	1	;     .
;Wait_Time_Line1:	.byte	1	;      1.
;WaitIN_Time_Line1:	.byte	1	;       1
;
;Flag_In_wait:		.byte	1	; 0bit - 1    .
;-
;
;
;**************************************** 
.cseg
;
ALARM_GO:
;
	ldi	ZL,arm_dissarm		;   EEPROM   .
	rcall	EEprom_read		;  arm/disarm
;
	sbrC	temp_1,0
 	RET				;      .
;----------------------------------------
;----------------------------------------
;   ""
	LDS	temp,(Flag_0_OpenDoor)
	CPI	temp,0B0000.0001
	BREQ	_alarm_LR1_no
;----------------------------------------
	LDS	temp,(GLeds_Viev1)	;  1 - /.
	CPI	temp,3
	BREQ 	_alarm_LR1 
;-------
	LDS	temp_2,(Flag_In_wait)
	SBRC	temp_2,0
	BRNE	_alarm_LR01
;-
	SBR	temp_2,0B0000.0001	; 
	STS	(Flag_In_wait),temp_2
;----------------------------------------
;?	LDS	temp_2,(WaitIN_Time_Line1)
;?	CPI	temp_2,0
;?	BRNE	_alarm_LR01
;-------
	LDI	ZL,EE_Wait_Line1
	RCALL	EEprom_read
	STS	(WaitIN_Time_Line1),temp_1;    /  1.
;
_alarm_LR01:
;-----------
	LDS	temp_2,(Flag_012_Rele)
	CBR	temp_2,0B0000.0001
	STS	(Flag_012_Rele),temp_2	
;----------
_alarm_LR0:
;
	RJMP	_alarm_LR1_no
;	
_alarm_LR1:
;----------
	LDS	temp_2,(Flag_In_wait)
	CBR	temp_2,0B0000.0001	; 
	STS	(Flag_In_wait),temp_2
;-------
	LDS	temp,(WaitIN_Time_Line1)
	CPI	temp,0
	BRNE	_alarm_LR0		; 
;==============================================
	LDS	temp_2,(Flag_012_Rele)
	SBRC	temp_2,0
	RJMP	_alarm_LR1_no
;--
	SBR	temp_2,0B0000.0001
	STS	(Flag_012_Rele),temp_2
;--
	LDI	temp_1,0B0000.0111
	STS	(RLeds_Viev1),temp_1
	STS	(Mode_Led_3_Blink),temp_1
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; 9_2_2019	13:40
;       1 !!!
;
	LDS	temp,(Flag_Alarm_Line123);  1bit - Line1, 2bit - Line2, 3bit - Line3. 
	SBRC	temp,1
	RJMP	NO_Store_Alarm_Line1
;-
	SBR	temp,0B0000.0010	; 1bit - Line1.
	STS	(Flag_Alarm_Line123),temp;  1bit - Line1, 2bit - Line2, 3bit - Line3.
;-
	LDI	ZL,EE_RLeds_Viev1	;     alarm Line1.
	RCALL	Store_Alarm_EE		
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
NO_Store_Alarm_Line1:
;
	LDI	ZL,Rele_time
	RCALL	EEprom_read		;
	STS	(Time_Alarm),temp_1
;-------------
_alarm_LR1_no:
;
	LDS	temp,(GLeds_Viev2)	;
	CPI	temp,0B0000.0011
	BREQ	_alarm_LR2
;--
	LDS	temp_2,(Flag_012_Rele)
	CBR	temp_2,0B0000.0010
	STS	(Flag_012_Rele),temp_2
;--
	RJMP	_alarm_LR2_no	
_alarm_LR2:
;----------
	LDS	temp_2,(Flag_012_Rele)
	SBRC	temp_2,1
	RJMP	_alarm_LR2_no
;--
	SBR	temp_2,0B0000.0010
	STS	(Flag_012_Rele),temp_2
;--
	LDI	temp_1,0B0000.0111
	STS	(RLeds_Viev2),temp_1
	STS	(Mode_Led_3_Blink),temp_1
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; 9_2_2019	13:40
;       2 !!!
;
	LDS	temp,(Flag_Alarm_Line123);  1bit - Line1, 2bit - Line2, 3bit - Line3. 
	SBRC	temp,2
	RJMP	NO_Store_Alarm_Line2
;-
	SBR	temp,0B0000.0100	; 2bit - Line2.
	STS	(Flag_Alarm_Line123),temp;  1bit - Line1, 2bit - Line2, 3bit - Line3.
;-
	LDI	ZL,EE_RLeds_Viev2	;     alarm Line2.
	RCALL	Store_Alarm_EE		
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
NO_Store_Alarm_Line2:
;
	LDI	ZL,Rele_time
	RCALL	EEprom_read		;
	STS	(Time_Alarm),temp_1
;-------------
_alarm_LR2_no:
;
	LDS	temp,(GLeds_Viev3)	;
	CPI	temp,0B0000.0011
	BREQ	_alarm_LR3
;--
	LDS	temp_2,(Flag_012_Rele)
	CBR	temp_2,0B0000.0100
	STS	(Flag_012_Rele),temp_2
;--
	RJMP	_alarm_LR3_no	
_alarm_LR3:
;----------
	LDS	temp_2,(Flag_012_Rele)
	SBRC	temp_2,2
	RJMP	_alarm_LR3_no
;--
	SBR	temp_2,0B0000.0100
	STS	(Flag_012_Rele),temp_2
;--
	LDI	temp_1,0B0000.0111
	STS	(RLeds_Viev3),temp_1
	STS	(Mode_Led_3_Blink),temp_1
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; 9_2_2019	13:40
;       3 !!!
;
	LDS	temp,(Flag_Alarm_Line123);  1bit - Line1, 2bit - Line2, 3bit - Line3. 
	SBRC	temp,3
	RJMP	NO_Store_Alarm_Line3
;-
	SBR	temp,0B0000.1000	; 3bit - Line3.
	STS	(Flag_Alarm_Line123),temp;  1bit - Line1, 2bit - Line2, 3bit - Line3.
;-
	LDI	ZL,EE_RLeds_Viev3	;     alarm Line3.
	RCALL	Store_Alarm_EE		
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
NO_Store_Alarm_Line3:
;
	LDI	ZL,Rele_time
	RCALL	EEprom_read		;
	STS	(Time_Alarm),temp_1
;-------------
_alarm_LR3_no:
;-------------
	RET
;----------------------------------------
;     alarm.
;
Store_Alarm_EE:				;
;	
	RCALL	EEprom_write		;  alarm.
;-
	LDI	ZL,EE_Mode_Led_3_Blink	;
	RCALL	EEprom_write		;  alarm.
;
	RET
;---------------------------------------
;---------------------------------------
;////////////////////////////////////////////////////////////