;*******************************************************
; MODE 31_01_2019	15:55  T45
; 
;   max10,    10,
;      .
;
;*******************************************************
;
; CMD1 - JP1 		 + Key 	"SET" -    (max 10).
; CMD2 - JP2 		 + Key 	"SET" -    ,   1 .
; CMD3 - JP3 	 	 + Key 	"SET" -      / LINE1,   1 .
; CMD4 - JP1 + JP2 	 + Key 	"SET" -        -    .
; CMD5 - JP2 + JP3 	 + Key 	"SET" -        - ,   .
; CMD6 - JP1 + JP3 	 + Key 	"SET" - .
; CMD7 - JP1 + Jp2 + JP3 + Key 	"SET" -   ,   =5. / 15 .
;=======================================================
.dseg
;
SMD_OneStep:		.byte	1	;    .
;
;-----------------------------------------------------------------------------------------
.cseg
;=======
JP_Prog:
;
	ldi	ZL,arm_dissarm		;   EEPROM   
	rcall	EEprom_read		;  arm/disarm
;-
	sbrS	temp_1,0
 	ret				;    - .
;--------
	LDS	temp_2,(CMD_Code_JP)
;--
	CPI	temp_2,1
	BREQ	ADD_Key_DS		;    .
;-
	CPI	temp_2,7
	BREQ	ERASE_DEF		;    .
;-
	CPI	temp_2,2
	BREQ	ADD_RlTm		;   ,  1 .
;-
	CPI	temp_2,4
	BREQ	ADD_InOutTm		;    / LINE1,  1 .
;-
	CPI	temp_2,3
	BREQ	Rele_T			;    -    .
;
	CPI	temp_2,6
	BREQ	Rele_M			;    -    .
;~~~~
	LDI	temp_2,0
	STS	(SMD_OneStep),temp_2
;
	RET
;========================================
ERASE_DEF:
;-
	LDS	temp_1,(SMD_OneStep)
	CPI	temp_1,11
	BRSH	No_EraseS_EE
	INC	temp_1
	STS	(SMD_OneStep),temp_1
;-
	CPI	temp_1,10
	BRNE	No_EraseS_E
;-
	RCALL	biper
	RCALL	biper
	RCALL	biper
	RCALL	biper
	RCALL	biper
;-
	RCALL	EE_Store_Default
;
;------------
No_EraseS_EE:
;
	RET
;------------
No_EraseS_E:
;
	RCALL	biper
;
	RET
;===================================== 
Rele_T:
;
	RCALL	biper
;
	LDI	temp_1,0xFF	
;
	LDI	ZL,EE_Mode_Rele_T_M	;   -    .
	RCALL	EEprom_write	
;
	RET
;=====================================
Rele_M:
;
	RCALL	biper
;
	LDI	temp_1,0x00	
;
	LDI	ZL,EE_Mode_Rele_T_M	;   -    .
	RCALL	EEprom_write	
;
;
	RET
;=====================================
ADD_RlTm:
;
	RCALL	biper
;
	LDS	temp_1,(SMD_OneStep)
	INC	temp_1
	STS	(SMD_OneStep),temp_1
;-
	LDI	ZL,Rele_time		;   
	RCALL	EEprom_write	
;
	RET
;=====================================
ADD_InOutTm:
;
	RCALL	biper
;
	LDS	temp_1,(SMD_OneStep)
	INC	temp_1
	STS	(SMD_OneStep),temp_1
;-
	LDI	ZL,EE_Wait_Line1	;     / - LINE1
	RCALL	EEprom_write	
;
	RET
;###################################################################################
;----------------------------------------
;  
;----------------------------------------
;
ADD_Key_DS:
;
	ldi	ZL,num_string
	rcall	EEprom_read
;
	cpi	temp_1,10		;  -  t45(10)
	brsh	ee_key_full		;   .
;-------
	SBI	Led_PORT,G_LED
;--
	rcall	Read_Key_DS
	LDS	temp,(Var_Flag_R) 
	SBRS	temp,0
	RET
;--
	rcall	Read_Key_DS
	LDS	temp,(Var_Flag_R) 
	SBRS	temp,0
	RET
;--
	CBI	Led_PORT,G_LED		
;-------
	rcall	EE_compare_DS_paket
;
	lds	temp_1,(flags)
	sbrc	temp_1,0		; (0 =1) -     .
	rjmp	ee_key_yes
;
	rcall	EE_wr_8bytes
;
	ldi	ZL,num_string
	rcall	EEprom_read
	inc	temp_1
	rcall	EEprom_write
;--
	SBI	Led_PORT,R_LED		;    .
	rcall	biper
	CBI	Led_PORT,R_LED
;
	RET	
;
;-------------------------------------
ee_key_full:
;
	SBI	Led_PORT,Y_LED
;
	rcall	biper
	rcall	delay500
	rcall	biper
	rcall	delay500
	rcall	biper
	rcall	delay500
	rcall	biper
	rcall	delay500
;
	SBI	Led_PORT,Y_LED
;
	RET
;
;----------
ee_key_yes:
;
	SBI	Led_PORT,R_LED
	rcall	biper
	CBI	Led_PORT,R_LED
;
	rcall	delay500
;
	SBI	Led_PORT,R_LED
	rcall	biper
	CBI	Led_PORT,R_LED
;
	RET
;
;--------------------------------------
;////////////////////////////////////////////////////////////