;****************************************************************************
;	RGY LED VIEV	ATtiny45
;
;	19_1_2018	11:05
; 
; 
;
;****************************************************************************
;
Blink_Leds_MODE:
;
	ldi	YL,low(Mode_Led_1_Blink)	;
	ldi	YH,high(Mode_Led_1_Blink)	;
;=============
;
Lop_Mode_Leds:
;
	LDI	temp_1,0B0001.1100
;
	LD	temp_2,Y+
	CBR	temp_1,0B0000.0100		; LED_Y off
	SBRS	temp_2,0
	RJMP	Led1_OFF
;-
	SBR	temp_1,0B0000.0100		; LED_Y on
Led1_OFF:
	LDI	temp_3,0B0001.1000
	RCALL	Blink_LedS
;---------
	LD	temp_2,Y+
	CBR	temp_1,0B0001.0000		; LED_G off
	SBRS	temp_2,0
	RJMP	Led2_OFF
;-
	SBR	temp_1,0B0001.0000		; LED_G on
Led2_OFF:
	LDI	temp_3,0B0000.1100
	RCALL	Blink_LedS
;---------
	LD	temp_2,Y+
	CBR	temp_1,0B0000.1000		; LED_R off
	SBRS	temp_2,0
	RJMP	Led3_OFF
;-
	SBR	temp_1,0B0000.1000		; LED_R on
Led3_OFF:
	LDI	temp_3,0B0001.0100
	RCALL	Blink_LedS
;---------
	RET
;----------------------------------
; new 19_1_2019		11:10
;----------
Blink_LedS:
;
	LDS	temp,(Count_Tik)
;-
	CPI	temp_2,0B0000.0011	; (0x03)
	BREQ	Led_mG			;  1
;--
	CPI	temp_2,0B0000.1111	; (0x0F)
	BREQ	Led_mY			;  1
;-
	CPI	temp_2,0B0000.0111	; (0x07)
	BREQ	Led_mR			;  1
;-
;-
	RJMP	Viev_Leds
;-------------------------------
;  1
Led_mG:
;
	SBRS	temp,5			;5
	RCALL	LasG
;
	RCALL	Case_Lines_Blink_G
;
	RJMP	Viev_Leds
;----
LasG:
	AND	temp_1,temp_3
;--
	CLR	temp
	STS	(Count_Period_Blinks2),temp
;
	RET
;========================================
Led_mY:
;
	SBRS	temp,5			;5
	RCALL	LasY			;G
;
	RCALL	Case_Lines_Blink_Y
;
	RJMP	Viev_Leds
;----
LasY:
	AND	temp_1,temp_3
;--
	CLR	temp
	STS	(Count_Period_Blinks3),temp
;
	RET
;========================================
Led_mR:
;
	SBRS	temp,5			;5
	RCALL	LasR			;G
;
	RCALL	Case_Lines_Blink_R
;
	RJMP	Viev_Leds
;----
LasR:
	AND	temp_1,temp_3
;--
	CLR	temp
	STS	(Count_Period_Blinks4),temp
;
	RET
;***************************************
;
Viev_Leds:
;
	IN	temp_2,Led_PORT
	ANDI	temp_2,0B0010.0011		; MODE 25_01_2019 
;
	OR	temp_1,temp_2
	OUT	Led_PORT,temp_1
;--
	RET
;*******************************************
Case_Lines_Blink_G:
;
	LDS	temp,(Count_Period_Blinks2)
	INC	temp
	STS	(Count_Period_Blinks2),temp
;-------------------------------------------
;BLcnG_1
;
	LDI	temp_4,3
;-------
	CPI	temp,2
	BREQ	LhytG_1
;-------
;BLcnG_2:
;
	CPI	temp,11
	BREQ	LhytG_2
;-
	CPI	temp,15
	BREQ	LhytG_2
;-------
;BLcnG_3:
	CPI	temp,24
	BREQ	LhytG_3
;-
	CPI	temp,28
	BREQ	LhytG_3
;-
	CPI	temp,32
	BREQ	LhytG_3
;-------
	CBR	temp_1,0B0001.0000	;  LED_G off
	RET
;
;///////////////////////////////////////////
;-------------------------------------------
LhytG_1:
	LDS	temp_5,(GLeds_Viev1)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0001.0000	;  LED_G off
;--
	RET
;------------------------------------------
LhytG_2:
	LDS	temp_5,(GLeds_Viev2)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0001.0000	;  LED_G off
;--
	RET
;------------------------------------------
LhytG_3:
;
	LDS	temp_5,(GLeds_Viev3)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0001.0000	;  LED_G off
;--
	RET
;------------------------------------------
;//////////////////////////////////////////
Case_Lines_Blink_Y:
;
	LDS	temp,(Count_Period_Blinks3)
	INC	temp
	STS	(Count_Period_Blinks3),temp
;-------------------------------------------
;BLcnY_1
;
	LDI	temp_4,0B0000.1111
;-------
	CPI	temp,2
	BREQ	LhytY_1
;-------
;BLcnY_2:
;
	CPI	temp,11
	BREQ	LhytY_2
;-
	CPI	temp,15
	BREQ	LhytY_2
;-------
;BLcnY_3:
	CPI	temp,24
	BREQ	LhytY_3
;-
	CPI	temp,28
	BREQ	LhytY_3
;-
	CPI	temp,32
	BREQ	LhytY_3
;-------
	CBR	temp_1,0B0000.0100	;  LED_Y off
	RET
;
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
;-------------------------------------------
LhytY_1:
	LDS	temp_5,(YLeds_Viev1)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0000.0100	;  LED_Y off
;--
	RET
;------------------------------------------
LhytY_2:
	LDS	temp_5,(YLeds_Viev2)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0000.0100	;  LED_Y off
;--
	RET
;------------------------------------------
LhytY_3:
	LDS	temp_5,(YLeds_Viev3)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0000.0100	;  LED_Y off
;--
	RET
;------------------------------------------
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
;
Case_Lines_Blink_R:
;
	LDS	temp,(Count_Period_Blinks4)
	INC	temp
	STS	(Count_Period_Blinks4),temp
;-------------------------------------------
;BLcnY_1
;
	LDI	temp_4,0B0000.0111
;-------
	CPI	temp,2
	BREQ	LhytR_1
;-------
;BLcnR_2:
;
	CPI	temp,11
	BREQ	LhytR_2
;-
	CPI	temp,15
	BREQ	LhytR_2
;-------
;BLcnR_3:
	CPI	temp,24
	BREQ	LhytR_3
;-
	CPI	temp,28
	BREQ	LhytR_3
;-
	CPI	temp,32
	BREQ	LhytR_3
;-------
	CBR	temp_1,0B0000.1000	;  LED_R off
	RET
;
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
;-------------------------------------------
LhytR_1:
	LDS	temp_5,(RLeds_Viev1)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0000.1000	;  LED_R off
;--
	RET
;------------------------------------------
LhytR_2:
	LDS	temp_5,(RLeds_Viev2)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0000.1000	;  LED_R off
;--
	RET
;------------------------------------------
LhytR_3:
	LDS	temp_5,(RLeds_Viev3)
	CPSE	temp_5,temp_4
	CBR	temp_1,0B0000.1000	;  LED_R off
;--
	RET
;------------------------------------------
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
;