;**************************************************************************************
;      2013.
;        .
;MODE 5  2019     12:00
;
;
;  - "gavrasm"
;   HVP - "avrpp.exe" (LPT).                       
;
; 3     ATtiny45.
; /   -   DS1990A.	
;    JP1,JP2,JP3   "SET".
; 
; CMD1 - JP1 		 + Key 	"SET" -    (max 10).
; CMD2 - JP2 		 + Key 	"SET" -    ,   1 .
; CMD3 - JP3 	 	 + Key 	"SET" -      / LINE1,   1 .
; CMD4 - JP1 + JP2 	 + Key 	"SET" -        -    .
; CMD5 - JP2 + JP3 	 + Key 	"SET" -        - ,   .
; CMD6 - JP1 + JP3 	 + Key 	"SET" - .
; CMD7 - JP1 + Jp2 + JP3 + Key 	"SET" -   ,   =5. / 15 .
;---
; JP4 - "" - (LINE1 NO)  , "" - (LINE1 NC)  .
; JP5 - "" - (LINE2 NO)  , "" - (LINE2 NC)  .
; JP6 - "" - (LINE3 NO)  , "" - (LINE3 NC)  .
;
; 
; int OSC 8.0 MZh ,    8, BODLEVEL- 4.3v. PB5 - port.
;
;**************************************************************************************
;
;
.include "tn45def.inc"
;
;
.def 	temp       	= R17
;
.def	temp_1	   	= R18
.def	temp_11	   	= R19
.def    temp_2     	= R20
.def    temp_22     	= R21	; new 18_1_2019
.def    temp_3     	= R22
.def    temp_4     	= R23
.def    temp_5     	= R24


;
.def	Flag_R	   	= R26	; 0   DS1990 .
.def	Flag_RAM   	= R27	
;
;
;----------------------------------------------------------------------
;
;----------------------------------------------------------------------
;
;
.equ	pulse_led_const	= 8 	;   .
.equ	pulse_led_burg	= 3	;
.equ	Rele_Default	= 10	;    .
;
;
.equ	Rele_pin	= 0	; .
.equ	Rele_port	= PORTB
;
.equ	Biper_pin	= 0	; .
.equ	Biper_port	= PORTB
;
.equ	Prog_JP1	= 2	
.equ	Prog_JP2	= 4	
.equ	Prog_JP3	= 3	
.equ	JP_PORT		= PORTB
.equ	JP_PINB		= PINB
.equ	JP_DDRB		= DDRB
;--------
.equ	Leds_Bits	= 0B00011100
;
.equ	R_LED		= 3	; RED
.equ	G_LED		= 4	; Green
.equ	Y_LED		= 2	; Yell
;
.equ	RLed_1_pin	= 2	; Yell	
.equ	RLed_2_pin	= 4	; Green
.equ	RLed_3_pin	= 3	; RED
;
.equ	GLed_1_pin	= 2	
.equ	GLed_2_pin	= 4
.equ	GLed_3_pin	= 3
;
.equ	Led_PORT	= PORTB
.equ	Led_DDRB	= DDRB
;--------
.equ	Line1_in	= 2  	;
.equ	Line2_in	= 4  	;
.equ	Line3_in	= 3  	;
.equ	Lines_PORT	= PORTB
.equ	Lines_DDRB	= DDRB
;
;==================================================================
.dseg
;
Var_Flag_R:		.byte	1 ;   0    DS
;
count1:			.byte	1 ; *
;
Rele_open:		.byte	1 ; *
;
Led_count_repeat:	.byte	1 ; *
;
CMD_Code_JP:		.byte	1 ;
;
Count_ADC_Pin:		.byte	1
Count_Blink:		.byte	1
;
Count_Start_ADC:	.byte	1 ;
;
Count_Tik:		.byte	1 ;
;----------------------------------------
;
RLeds_Viev1:		.byte	1 ; 
RLeds_Viev2:		.byte	1 ;
RLeds_Viev3:		.byte	1 ;
;
GLeds_Viev1:		.byte	1 ;
GLeds_Viev2:		.byte	1 ;
GLeds_Viev3:		.byte	1 ;
;
YLeds_Viev1:		.byte	1 ;
YLeds_Viev2:		.byte	1 ;
YLeds_Viev3:		.byte	1 ;
;
;---
Count_Period_Blinks:	.byte	1 ;
Count_Period_Blinks2:	.byte	1 ;
Count_Period_Blinks3:	.byte	1 ;
Count_Period_Blinks4:	.byte	1 ;
;---
;
Mode_Led_1_Blink:	.byte	1 ; (YRED) 0 - OFF, 1 - ON, 3 - Blink1, 7 - Blink2, 9 - Blink3, B - Blink4.
Mode_Led_2_Blink:	.byte	1 ; (GRED) 0 - OFF, 1 - ON, 3 - Blink1, 7 - Blink2, 9 - Blink3, B - Blink4.
Mode_Led_3_Blink:	.byte	1 ; (LRED) 0 - OFF, 1 - ON, 3 - Blink1, 7 - Blink2, 9 - Blink3, B - Blink4.
;-
;----------------------------------------
;
ee_paket_byte0:		.byte	1
;
ee_paket_byte1:		.byte	1
ee_paket_byte2:		.byte	1
ee_paket_byte3: 	.byte	1
ee_paket_byte4: 	.byte	1
;
ee_paket_byte5:		.byte	1
ee_paket_byte6:		.byte	1
ee_paket_byte7:		.byte	1
;
;----------------------------------------
Compare_Read_DS:	.byte	8
;
DSRD2:			.byte	8
DSRD:			.byte	8
CRC:			.byte	1
;
flags:			.byte	1 
;
test_speed_uart:	.byte   1
;
;----------------------------------------
decnum:			.byte	5 ; 5   .
;----------------------------------------
Count_Rep_Rd_DS:	.byte	1
;----------------------------------------
Count_1S:		.byte	1
;----------------------------------------
LN_NC_NO:		.byte	1
;----------------------------------------
Flag_012_Rele:		.byte	1	; 0bit=LINE1; 1bit=LINE2; 2bit=LINE3.
Time_Alarm:		.byte	1	;     .
Wait_Time_Line1:	.byte	1	;      1.
WaitIN_Time_Line1:	.byte	1	;       1
;
Flag_In_wait:		.byte	1	; 0bit - 1    .
;-
Flag_Alarm_Line123:	.byte	1	; 1bit - Line1, 2bit - Line2, 3bit - Line3. 
;
;*****************************************************************
; Interrupt service vectors
.cseg
.org 0
;
;=================================================================
; ATtiny85
;
	rjmp Reset		;=0x0000  Reset Handler
;---------
	reti	;rjmp INT0addrs ;=0x0001  INT0 Handler
	reti			;=0x0002  PCINT0 Handler
	reti			;=0x0003  Timer1 CompareA Handler
	reti	 		;=0x0004  Timer1 Overflow Handler
	reti	 		;=0x0005  Timer0 Overflow Handler
	reti	 		;=0x0006  EEPROM Ready Handler
	reti	 		;=0x0007  Analog Comparator Handler
	reti			;=0x0008  ADC Conversion Handler
	reti	;rjmp OC1BaddrS	;=0x0009  Timer1 CompareB Handler
	reti	;rjmp OC0AaddrS	;=0x000A  Timer0 CompareA Handler
	reti			;=0x000B  Timer0 CompareB Handler
	rjmp	WDTaddrs	;=0x000C  Watchdog Time-out
	reti		 	;=0x000D 
	reti	 		;=0x000E 
;
;================================================================
;
;
; 	Start 
;
Reset:
;
; ATtiny45 Stack Init
;
	ldi 	temp,low(RAMEND)
	out 	SPL,temp
;
;;	ldi 	temp,high(RAMEND)
;;	out 	SPH,temp
;
;****************************************************************
;****************************************************************
;
	RCALL	INIT_Chip_t45
;================================================
;   .
;
	RCALL	INIT_Vars
;================================================
;
;;	RCALL	Print_Start
;
;================================================
;
;================================================
;
	SEI
;
;================================================
	CLR	temp_5
;------------------------------------------------
;      ( )
;
	LDI	ZL,EE_Mode_Led_3_Blink		;	
	RCALL	EEprom_read
	STS	(Mode_Led_3_Blink),temp_1	; R_LED.
;--------
	LDI	ZL,EE_RLeds_Viev1		;	
	RCALL	EEprom_read	
	STS	(RLeds_Viev1),temp_1
;-
	LDI	ZL,EE_RLeds_Viev2		;	
	RCALL	EEprom_read
	STS	(RLeds_Viev2),temp_1
;-
	LDI	ZL,EE_RLeds_Viev3		;	
	RCALL	EEprom_read	
	STS	(RLeds_Viev3),temp_1
;
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; 29_01_2019	16:20				;
;						;
;!!   ,   ,	;
;        	;
;        1,2,3.	;
;  !!					;
;------------------------------------------------
;;	ldi	ZL,arm_dissarm			;   EEPROM   
;;	rcall	EEprom_read			;  arm/disarm
;-						;
;;	sbrC	temp_1,0			;
;;	RJMP	DisArmed			;    .
;-----------------------------------------------
;;	LDI	ZL,Rele_time			;
;;	RCALL	EEprom_read			;
;--						;				 
;;	STS	(Time_Alarm),temp_1		;
;;	RJMP	main				;
;---------					;
;DisArmed:					;
;------------------------------------------------
	CLR	temp_1				;
	STS	(Time_Alarm),temp_1
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
main:
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
	LDS	temp,(Count_1S)
	INC	temp
	STS	(Count_1S),temp
;--
	CPI	temp,15	
	BRLO	_no_1sec
	RJMP	Yes_1sec
_no_1sec:
	RJMP	no_1sec	
;}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
Yes_1sec:
;
	ldi	ZL,arm_dissarm		;!   EEPROM   .
	rcall	EEprom_read		;!  arm/disarm
	sbrC	temp_1,0
 	RJMP	N_Li_end		;!     .
;-
	LDS	temp,(Wait_Time_Line1)
	CPI	temp,0
	BREQ	N_Li_end
	DEC	temp
	STS	(Wait_Time_Line1),temp
;-
;;	CBI	Led_PORT,R_LED	
	RCALL	biper
;;	SBI	Led_PORT,R_LED	
;-
	CPI	temp,0
	BRNE	N_Li_end
	STS	(Flag_0_OpenDoor),temp
;------- 
;}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
N_Li_end:
;
	ldi	ZL,arm_dissarm		;!   EEPROM   .
	rcall	EEprom_read		;!  arm/disarm
	sbrC	temp_1,0
 	RJMP	N_Lj_end		;!     .
;----------------------------------------
	LDS	temp_2,(Flag_In_wait)
	SBRC	temp_2,0
	RJMP	N_Lj_end
;----------------------------------------
; new 9_2_2019	13:20 !!
N_LL_end:
	LDS	temp,(Wait_Time_Line1)
	CPI	temp,0
	BRNE	N_Lj_end
;----------------------------------------
	LDS	temp,(WaitIN_Time_Line1)
	CPI	temp,0
	BREQ	N_Lj_end
	DEC	temp
	STS	(WaitIN_Time_Line1),temp
;-
;;	CBI	Led_PORT,R_LED	
;
	RCALL	biper
;
;;	SBI	Led_PORT,R_LED
;
;--------
N_Lj_end:
;
	LDI	temp,0
	STS	(Count_1S),temp
;-------
	RCALL	JP_Prog
;-------
	LDS	temp,(Time_Alarm)
	CPI	temp,0
	BReq	Alarm_off
;-------
	DEC	temp
	STS	(Time_Alarm),temp
;~~~~~~~~~
	LDI	ZL,EE_Mode_Rele_T_M	; ADR5- EEPROM -  /.
	RCALL	EEprom_read	
	CPI	temp_1,0
	BREQ	R_Trg
;~~~~~~~~~
 	CBI	Rele_port,Rele_pin
	SBRS	temp,0
R_Trg:
 	SBI	Rele_port,Rele_pin
;-
	RCALL	biper
;-
	RJMP	no_1sec
;~~~~~~~~~
Alarm_off:
;
 	CBI	Rele_port,Rele_pin
;---------------------------------------
no_1sec:
;////////////////////////////////////////
	LDS	temp,(Count_Rep_Rd_DS)
	CPI	temp,0
	BREQ	No_Count_Rep_Rd_DS
	DEC	temp
	STS	(Count_Rep_Rd_DS),temp
No_Count_Rep_Rd_DS:
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
	LDS	temp,(Count_Period_Blinks)
	INC	temp
	STS	(Count_Period_Blinks),temp
;--
	CPI	temp,5			;     
	BRNE	no_Ups	
;--
	LDI	temp,0
	STS	(Count_Period_Blinks),temp
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	LDS	temp,(CMD_Code_JP)
	CPI	temp,0
	BRNE	no_Ups
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	RCALL	Read_Key_DS		; 
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	rcall	EE_compare_DS_paket
;
	lds	temp_1,(flags)
	sbrS	temp_1,0		; 0  -     .
	rjmp	no_Ups			;    .
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	LDS	temp,(Var_Flag_R) 
	SBRS	temp,0
	RJMP	no_Ups
;-------
	LDS	temp,(Count_Rep_Rd_DS)
	CPI	temp,0
	BRNE	no_prts
;>>>>>>>
	RCALL	ARM_DisARM
;>>>>>>>
no_prts:
	LDI	temp,15			; 20
	STS	(Count_Rep_Rd_DS),temp
no_Ups:	
;========================================
	LDS	temp,(Count_Tik)
	INC	temp
	STS	(Count_Tik),temp
;----------------------------------------
	LDI	temp,0b0101.1010	; 0101.1110 - 1 cek 	; 0,5 cek 0101.1101    
	OUT 	WDTCR,temp		; 0101.1011 - 0,125 cek ; 0101.1010 - 64ms 
;----------------------------------------
	SLEEP
;----------------------------------------
	RCALL	RD_ADC
;----------------------------------------
	RCALL	Logic_RGY_LED
;----------------------------------------
	RCALL	Blink_Leds_MODE	
;----------------------------------------
	RCALL	ALARM_GO
;----------------------------------------
;----------------------------------------
;
	RJMP	main
;
;//////////////////////////////////////////////////////////////////////////
;--------------------------------------------------------------------------
;   WDT
;--------------------------------------------------------------------------
;
WDTaddrs:
;
	RETI
;
;--------------------------------------------------------------------------
; MODE 7_2_2019		19:45
;
;  .
;
biper:
;
	PUSH	temp
	PUSH	temp_1
;-------
	IN	temp_1,PORTB
;
	ldi	temp,0b0100.0010	
	out	TCCR0A,temp
;
	rcall	pause
	rcall	pause
;
	ldi	temp,0b0000.0010	
	out	TCCR0A,temp
;
	OUT	PORTB,temp_1
;-------
	POP	temp_1
	POP	temp
;
	RET
;
;//////////////////////////////////////////////////////////////////////////
;
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
;
;  .
;
.include  "Alarm_3line_DS_t45/INIT_T45_v1.asm"
;-------
.include  "Alarm_3line_DS_t45/dallas_t45.asm"			; 	
;
.include  "Alarm_3line_DS_t45/Alarm_EE_soft_T45_v2.asm"		; new 7_2_2019
;
;
.include  "Alarm_3line_DS_t45/ALL_Delay_T45.asm"
;
.include  "Alarm_3line_DS_t45/3ADC_T45_v9.asm"			; new 9_2_2019
;
.include  "Alarm_3line_DS_t45/Compare_ADC_Code_T45_v6.asm"	; new 7_2_2019
;--
.include  "Alarm_3line_DS_t45/RGY_LED_Viev_T45_v51.asm"		; new 19_1_2019
;--
.include  "Alarm_3line_DS_t45/LOGIC_LED_T45_v44.asm"		; new 19_1_2019
;--
.include  "Alarm_3line_DS_t45/ARM_DisARM_T45_v3.asm"		; new 5_2_2019
;--
.include  "Alarm_3line_DS_t45/Alarm_GO_T45_v331_2.asm"		; new 9_2_2019
;--
.include  "Alarm_3line_DS_t45/MODE_ADD_DEL_KEY_TIME_TIME2_v2.asm" ; new 7_2_2019
;**************************************************************************
;*
;*  EErom .
;*
;**************************************************************************
;
	.eseg
;
key_REC:
;1
	.db	0x00,0x00,0x00,0x00	;-
	.db	0x00,0x00,0x00,0x00	;-
	.db	0x00,0x00,0x0E,0x05	;-adr 11    (5 ).
	.db	0xFF,0x00,0x00,0x4C	;-adr 10    Line 1 = (15 ).
;2					;-adr 15..22  Key 4C 00 00 00 80 D2 40 01 \   !
	.db	0x00,0x00,0x00,0x80	;-adr 23..30  Key 06 00 00 00 AA BE 5D 01 |  
	.db	0xD2,0x40,0x01,0x06	;-adr 31..38  Key D2 00 00 01 23 95 A7 01 |  
	.db	0x00,0x00,0x00,0xAA	;-adr 39..46  Key 02 00 00 01 CC 79 AC 01 /   "CMD7"
	.db	0xBE,0x5D,0x01,0xD2	;-
;3
	.db	0x00,0x00,0x01,0x23	;-
	.db	0x95,0xA7,0x01,0x02	;-
	.db	0x00,0x00,0x01,0xCC	;-
	.db	0x79,0xAC,0x01,0x00	;-
;4
	.db	0x00,0x00,0x00,0x00	;-
	.db	0x00,0x00,0x00,0x00	;-
	.db	0x00,0x00,0x00,0x00	;-
	.db	0x00,0x00,0x00,0x00	;-
;
;