;****************************************************************************
;  ADC    .
;
;		7_2_2019	18:40
; 
; MODE Constant ADC 	LINES(1,2,3)			-  !	
; MODE NO/NC 		LINES(1,2,3) - JP4,JP5,JP6. 	-  !
;
;****************************************************************************
;
.dseg
;
;Line_ranges:	.byte	1		;    ADC.
;
Flag_JP_Prog:	.byte	1		;
;
.cseg
;
;****************************************************************************
;
.equ	ProgJP_const_min	= 0x10	; (h17) 
.equ	ProgJP_const_max	= 0x20	; 
;
.equ	LineON_const_min	= 0x2A	; (h36)  () .
.equ	LineON_const_max	= 0x40	;        () .
;
.equ	LineARM_const_min	= 0x4A	; (h52)    ( ).
.equ	LineARM_const_max	= 0x60	;          ( ).
;
.equ	LineNorm_const_min	= 0x6A	; (h78)    ( ).
.equ	LineNorm_const_max	= 0x80	;          ( ).
;
.equ	LineOFF_const_min	= 0xB0	; (hBE)  .
.equ	LineOFF_const_max	= 0xD0	;        .
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
.equ	Line_NC			= 0xFF	; (hFF) =   .
.equ	Line_NO			= 0x00	; (hFF) >   .
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
.equ	State_Progr		= 0x80	; 0B1000.0000 (0 -  ).
.equ	State_Err_Kz		= 0x01	; 0B0000.0001 (1 -   ).
.equ	State_Norma		= 0x02	; 0B0000.0010 (2 -    ).
.equ	State_Armed		= 0x03	; 0B0000.0011 (3 -    ).
.equ	State_Err_Obriv		= 0x04	; 0B0000.0100 (4 -   ).
;
;----------------------------------------------------------------------------
;     - temp
;
Compare_ADC_Code:
;========================================
	CPI	temp,LineOFF_const_min
	BRLO	LL1
;
	CPI	temp,LineOFF_const_max
	BRLO	_case_range5		; Line Trb	
;----------------------------------------
LL1:
	CPI	temp,LineNorm_const_min
	BRLO	LL2
;
	CPI	temp,LineNorm_const_max
	BRLO	_case_range4		; Line NORM
;----------------------------------------
LL2:
	CPI	temp,LineARM_const_min
	BRLO	LL3
;
	CPI	temp,LineARM_const_max
	BRLO	_case_range3		; Line ARM
;----------------------------------------
LL3:
	CPI	temp,LineON_const_min
	BRLO	LL4
;
	CPI	temp,LineON_const_max
	BRLO	_case_range2		; Line ON
;----------------------------------------
LL4:
	CPI	temp,ProgJP_const_min
	BRLO	_Error_ranges	; Error
;
	CPI	temp,ProgJP_const_max
	BRLO	_case_range1		; Line Jp Progr
;========================================
;-----------------------------------------------------------------
;   ADC      .
;-----------------------------------------------------------------
_Error_ranges:
;
	ldi	temp,0
;
	RET
;
;------------
;
_case_range1:
;
	ldi	temp,State_Progr	; 0B1000.0000 (0 -  ).
	sts	(Flag_JP_Prog),temp
;
	RET
;---
_case_range2:
;
	ldi	temp,0
	sts	(Flag_JP_Prog),temp
;
	ldi	temp,State_Err_Kz	; 0B0000.0001 (1 -   ).
;
	RET
;---
_case_range3:
;
	LDI	temp_3,0xFF
	ldi	temp,0
	sts	(Flag_JP_Prog),temp
;~~~~~~~
	ldi	temp,State_Norma	; 0B0000.0010 (3 -    ).
	LDS	temp_2,(LN_NC_NO)
	CPSE	temp_2,temp_3
	ldi	temp,State_Armed	; 0B0000.0011 (2 -    ).
;
	RET
;---
_case_range4:
;
	LDI	temp_3,0xFF
	ldi	temp,0
	sts	(Flag_JP_Prog),temp
;~~~~~~~
	ldi	temp,State_Armed	; 0B0000.0011 (2 -    ).
	LDS	temp_2,(LN_NC_NO)
	CPSE	temp_2,temp_3
	ldi	temp,State_Norma	; 0B0000.0010 (3 -    ).
;
	RET
;---
_case_range5:
;
	ldi	temp,0
	sts	(Flag_JP_Prog),temp
;
	ldi	temp,State_Err_Obriv	; 0B0000.0100 (4 -   ).
;
	RET
;---
;
;////////////////////////////////////////////////////////////////////////////
;
